# Zoom One - January 24, 2022 import RebrandingAlert from "#content/changelog/_includes/_zoom-one-rebranding-alert.mdx"; The following changes were released on **January 24, 2022**: ## Added ### Master APIs - **Update an internal number** - `/accounts/{accountId}/sip_trunk/internal_numbers/{numberId}` ## Enhancements - Added the new `enable_all_settings_from_master_account` field to the `PATCH /v2/accounts/{accountId}/sip_trunk/settings` API. - Added the new `email_notification` field to the following APIs: - `POST /v2/users/{userId}/meetings` - `PATCH /v2/meetings/{meetingId}` - `GET /v2/meetings/{meetingId}` - Added the new `allow_authentication_exception` field to the following APIs: - `GET /v2/accounts/{accountId}/settings` - `PATCH /v2/accounts/{accountId}/settings` - `GET /v2/users/{userId}/settings` - Added support for the `authentication_options` value in the `custom_query_fields` query parameter in the `GET /v2/users/{userId}/settings` APIs. - Added the new `language_interpretation` field to the following APIs: - `GET /v2/accounts/{accountId}/settings` - `PATCH /v2/accounts/{accountId}/settings` - `GET /v2/accounts/{accountId}/lock_settings` - `PATCH /v2/accounts/{accountId}/lock_settings` - `GET /v2/groups/{groupId}/settings` - `PATCH /v2/groups/{groupId}/settings` - `GET /v2/users/{userId}/settings` - `PATCH /v2/users/{userId}/settings` - Added the new `unchecked_data_center_regions` field to the following APIs: - `GET /v2/accounts/{accountId}/settings` - `GET /v2/groups/{groupId}/settings` - `GET /v2/users/{userId}/settings` - Added the new `only_authenticated_can_join_from_webclient` field to the following APIs: - `GET /v2/accounts/{accountId}/settings` - `PATCH /v2/accounts/{accountId}/settings` - `GET /v2/accounts/{accountId}/lock_settings` - `PATCH /v2/accounts/{accountId}/lock_settings` - `GET /v2/groups/{groupId}/settings` - `GET /v2/groups/{groupId}/lock_settings` - `PATCH /v2/groups/{groupId}/settings` - `PATCH /v2/groups/{groupId}/lock_settings` - `GET /v2/users/{userId}/settings` - `PATCH /v2/users/{userId}/settings` - Added the new `manual_captioning` object with the `manual_captions`, `allow_to_type`, `third_party_captioning_service`, `auto_generated_captions`, `full_transcript`, and `save_captions` fields in the following APIs: - `GET /v2/accounts/{accountId}/settings` - `PATCH /v2/accounts/{accountId}/settings` - `GET /v2/groups/{groupId}/settings` - `PATCH /v2/groups/{groupId}/settings` - `GET /v2/users/{userId}/settings` - `PATCH /v2/users/{userId}/settings` - Added the new `manual_captions`, `auto_generated_captions`, `full_transcript`, and `save_captions` fields to the following APIs: - `GET /v2/accounts/{accountId}/lock_settings` - `PATCH /v2/accounts/{accountId}/lock_settings` - `PATCH /v2/accounts/{accountId}/lock_settings` - `GET /v2/groups/{groupId}/settings`   - Added the new `from` and `to` parameter and response fields to the `GET /v2/chat/users/{userId}/messages` API. - Added the new `language` field to the `POST /v2/webinars/{webinarId}/registrants` API. - Added the new `participant_user_id` response in the `GET /metrics/meetings/{meetingId}/participants` API. - Added the new validation `1224` error for duplicate names (`Role name {roleName} has already been used.`) to the `POST /v2/roles` and `PATCH /v2/roles/{roleId}` APIs. - Added the new `encrypted_email` field to the `DELETE /users/{userId}` API. - Added the new `total_records` field to the `GET /v2/archive_files` API. - Added the new `501` and `1001` values to the `webinar_capacity` field in the `PATCH /v2/users/{userId}/settings` API. ## Bug Fixes - Fixed an issue where the `PATCH /v2/webinars/{webinarId}` API was not syncing webinar data to the `zmweb_webinar_ext` table in Amazon DynamoDB. - Fixed an issue where the `GET /v2/contacts` API would sometimes return zero contacts due to timeout. - Fix an issue where updating a meeting via API would always send an email notification to the alternative host, regardless of the `alternative_hosts_email_notification` parameter’s value in the `POST /users/{userId}/meetings` API. - Fixed an issue where the `GET /report/webinars/{webinarId}/participants` API would sometimes return an empty `registrant_id` field value. - Fixed an issue where a user may not be found when calling the `GET /users/{userId}` API with a user’s encrypted email address. - Fix an issue where the `download_url` value was not encrypted when the `recording_type` field’s value was `timeline` in the following APIs: - `GET /v2/meetings/{meetingId}/recordings` - `GET /v2/accounts/{accountId}/recordings` - `GET /v2/users/{userId}/recordings`